import { type Ref } from 'vue';
import { type Task } from './types';
/**
 * Custom hook to manage the execution of tasks in a sequence
 *
 * @param initialTasks array of tasks to be executed, each task can be any type of object as long as it has an id and order property
 * @returns currentTask: the current task object in the sequence, isLastTask: boolean to indicate if the current task is the last task in the sequence, navigateToNextTask: function to navigate to the next task in the sequence
 */
export declare const useTaskManagement: (initialTasks?: Task[]) => {
    currentTask: Ref<Task | null>;
    isLastTask: Ref<boolean>;
    navigateToNextTask: () => void;
};
